#include <stdlib.h>
#include "defines.h"
#include "menu.h"
#include "aigtext.h"

void menu_close(sx,sy,ex,ey,wget,mdata,colors,fpop)
int sx,sy,ex,ey,fpop;
unchar *wget;
_MENU_DATA *mdata;
MCOLORS *colors;
{
unint c;
	c=curoff();
	if (fpop) popdown3s(sx,sy,ex,ey,colors->waku,mdata->pwait,mdata->udmode);
	
	puttext(sx,sy,wget);
	free(wget);
	
	curmode(c);
}
